## helma.main
Class ApplicationManager

    java.lang.Object
      helma.main.ApplicationManager

All Implemented Interfaces:
  org.apache.xmlrpc.XmlRpcHandler

    public class ApplicationManager

extends java.lang.Object
implements org.apache.xmlrpc.XmlRpcHandler

This class is responsible for starting and stopping Helma applications.

Constructor Summary
`ApplicationManager(ResourceProperties props, Server server, int port)` Creates a new ApplicationManager object.

Method Summary
`protected void` `checkForChanges()` Called regularely check applications property file to create and start new applications.
`java.lang.Object` `execute(java.lang.String method, java.util.Vector params)` Implements org.apache.xmlrpc.XmlRpcHandler.execute()
`Application` `getApplication(java.lang.String name)` Get an application by name.
`java.lang.Object[]` `getApplications()` Get an array containing all currently running applications.
`void` `register(java.lang.String appName)` Bind an application by name
`void` `start(java.lang.String appName)` Start an application by name
`void` `startAll()` Start all applications listed in the properties
`void` `stop(java.lang.String appName)` Stop an application by name
`void` `stopAll()` Stop all running applications.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationManager

    public ApplicationManager(ResourceProperties props,
                              Server server,
                              int port)

  Creates a new ApplicationManager object.

  Parameters:
    `props` - the properties defining the running apps
    `server` - the server instance
    `port` - The RMI port we're binding to

Method Detail

### checkForChanges

    protected void checkForChanges()

  Called regularely check applications property file to create and start new applications.

### start

    public void start(java.lang.String appName)

  Start an application by name

### register

    public void register(java.lang.String appName)

  Bind an application by name

### stop

    public void stop(java.lang.String appName)

  Stop an application by name

### startAll

    public void startAll()

  Start all applications listed in the properties

### stopAll

    public void stopAll()

  Stop all running applications.

### getApplications

    public java.lang.Object[] getApplications()

  Get an array containing all currently running applications.

### getApplication

    public Application getApplication(java.lang.String name)

  Get an application by name.

### execute

    public java.lang.Object execute(java.lang.String method,
                                    java.util.Vector params)
                             throws java.lang.Exception

  Implements org.apache.xmlrpc.XmlRpcHandler.execute()

  Specified by:
    `execute` in interface `org.apache.xmlrpc.XmlRpcHandler`
  Throws:
    `java.lang.Exception`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.